<?xml version="1.0"?>
<!--
 Copyright (C) MX4J.
 All rights reserved.

 This software is distributed under the terms of the MX4J License version 1.0.
 See the terms of the MX4J License in the documentation provided with this software.

 Author: Carlos Quiroz (tibu@users.sourceforge.net)
 Revision: $Revision: 1.2 $
 																																					-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" encoding="UTF-8"/>

  <!-- Overall parameters -->
  <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
  <xsl:param name="html.stylesheet.type">text/css</xsl:param>
  <xsl:param name="head.title">MX4J - Timer creation</xsl:param>

  <!-- Request parameters -->
  <xsl:param name="request.objectname"/>
	<xsl:param name="request.class"/>

  <xsl:include href="common.xsl"/>

  <xsl:template name="operation" >
    <xsl:for-each select="Operation">
		<xsl:variable name="monitor_type">
			<xsl:if test="$request.class='javax.management.monitor.StringMonitor'">StringMonitor</xsl:if>
			<xsl:if test="$request.class='javax.management.monitor.GaugeMonitor'">GaugeMonitor</xsl:if>
			<xsl:if test="$request.class='javax.management.monitor.CounterMonitor'">CounterMonitor</xsl:if>
		</xsl:variable>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td width="100%" class="fronttab"><xsl:value-of select="$monitor_type"/> creation with object name <xsl:value-of select="$request.objectname"/></td>
			</tr>
			<tr>
				 <td class="clearline">
					 <xsl:if test="@result='success'">
						 <xsl:value-of select="$monitor_type"/> succesfully created
					 </xsl:if>
					 <xsl:if test="@result='error'">
						 Error during <xsl:value-of select="$monitor_type"/> creation
						 Message: <xsl:value-of select="@errorMsg"/>
					 </xsl:if>
				 </td>
      </tr>
      <xsl:call-template name="mbeanview">
				<xsl:with-param name="objectname"><xsl:value-of select="$request.objectname"/></xsl:with-param>
				<xsl:with-param name="text">Configure <xsl:value-of select="$monitor_type"/></xsl:with-param>
			</xsl:call-template>
		</table>
    </xsl:for-each>
  </xsl:template>

  <xsl:template match="MBeanOperation">
    <html>
    	<xsl:call-template name="head"/>
      <body>
      	<xsl:call-template name="toprow"/>
        <xsl:call-template name="tabs">
        	<xsl:with-param name="selection">timer</xsl:with-param>
        </xsl:call-template>
        <xsl:call-template name="operation"/>
        <xsl:call-template name="bottom"/>
      </body>
  </html>
</xsl:template>
</xsl:stylesheet>

